Subject: Re: bug#461: delete-window means "get out of my face" even for sole window

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Jun 2008 20:58:08 -0400

tag 461 +wontfix
thanks

> Why? Because when the user types C-x 0, he is saying "get out of my
> face", and emacs should do what he means.  Indeed, it should be just
> like he hit C-x b RET, picking the default buffer prompted with.
> (I say don't prompt him on C-x 0, but you could if you insist.)

There's already "C-x b RET", "C-x <right>", "C-x <left>" and probably
several other ways to do what you want, so I see no need to change
C-x 0 in the way you suggest.

C-x 0 currently doesn't care about buffers, only about windows, so your
"extension" doesn't seem very natural to me.  A more natural extension
would be to indeed delete the sole window by exiting (or maybe sticking
around waiting for emacsclient connections in case you've started the
emacs-server).

        Stefan